cURL
curl --request POST \ --url https://api.bonifiq.com.br/v1/pvt/Rewards/updatemetadata \ --header 'Authorization: Basic <encoded-value>' \ --header 'Content-Type: application/json' \ --data ' { "OriginalKey": "<string>", "Metadatas": [ { "Name": "<string>", "Value": "<string>" } ] } '
{ "ErrorMessage": "<string>", "ErrorCode": 123, "Result": { "RewardId": 123, "Point": { "PointId": 123, "Quantity": 123, "Metadatas": [ { "Name": "<string>", "Value": "<string>" } ] }, "ExternalCode": "<string>", "OriginalKey": "<string>", "Coupon": { "CouponCode": "<string>", "CouponType": 0, "CouponValue": 123, "ValidDateStart": "2023-11-07T05:31:56Z", "ValidDateEnd": "2023-11-07T05:31:56Z" } }, "HasError": true }
Use API Basic Auth Keys
The same OriginalKey used on reward redeeming
OriginalKey
A list of name-value that will be added to the point metadatas for this reward.
Show child attributes
Error message or description
Optional error code, if available
If true the request had an error.
Was this page helpful?